Bug 1344132 - docker-latest --tmpfs with . or ./ parameter failure message not descriptive
Summary: docker-latest --tmpfs with . or ./ parameter failure message not descriptive
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: runc
Version: 7.8
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Mrunal Patel
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard: docker-autotest:docker_cli/negativeus...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-08 20:28 UTC by Afom T. Michael
Modified: 2020-01-13 13:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
docker-latest-1.10.3
Last Closed: 2020-01-13 13:26:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Afom T. Michael 2016-06-08 20:28:12 UTC
Description of problem:
With docker-latest-1.10.3, passing . or ./ fails as expected but the error/failure message isn't descriptive.

Version-Release number of selected component (if applicable):


How reproducible:
Always when . (dot), ./ (dot slash), or /dev/null is used as parameter of --tmpfs

Steps to Reproduce:
1. Issue /usr/bin/docker-latest -D run --tmpfs ./ registry.access.redhat.com/rhel7/rhel:latest
2. It gives the following message:
[root@ora20 client]# /usr/bin/docker-latest -D run --name afom --tmpfs /dev/null registry.access.redhat.com/rhel7/rhel:latest
DEBU[0000] framesize: 801                               
Timestamp: 2016-06-08 15:59:57.148458368 -0400 EDT
Code: System error

Message: Failed to open /dev/null - open /dev/null: is a directory

Frames:
---
0: setupRootfs
Package: github.com/opencontainers/runc/libcontainer
File: rootfs_linux.go@81
---
1: Init
Package: github.com/opencontainers/runc/libcontainer.(*linuxStandardInit)
File: standard_init_linux.go@59
---
2: StartInitialization
Package: github.com/opencontainers/runc/libcontainer.(*LinuxFactory)
File: factory_linux.go@247
---
3: initializer
Package: github.com/docker/docker/daemon/execdriver/native
File: init.go@35
---
4: Init
Package: github.com/docker/docker/pkg/reexec
File: reexec.go@26
---
5: main
Package: main
File: docker.go@20
---
6: main
Package: runtime
File: proc.go@63
---
7: goexit
Package: runtime
File: asm_amd64.s@2232
DEBU[0000] Corrupted prefix: []                         
DEBU[0000] [hijack] End of stdout                       
docker: Error response from daemon: Cannot start container 369245e7f9c70c050620af9dfbee9c31cef9e443b2183c7bded7ac3d58793c49: [9] System error: could not synchronise with container process.
[root@ora20 client]# echo $?
125
[root@ora20 client]#
3.

Actual results:
Output is shown above

Expected results:
To get a descriptive error message that indicates that a wrong parameter for --tmpfs was issued.

Additional info:

Comment 2 Antonio Murdaca 2017-01-14 15:48:30 UTC
Reported upstream https://github.com/docker/docker/issues/30166


Note You need to log in before you can comment on or make changes to this bug.